for index = permut_ind % scan all permuted cofactor (in our case only one cofactor is permuted)
    
   switch index
       case 1 % local transmission: regions are permuted in mat_flow
           permutation = randperm(nbregions);
           mat_flow = mat_flow(permutation, permutation);
       case 2 % global transmission
           % nothing: global incidence is not tested in the model
       case 3 % log-population size: regions are permuted
           permutation = randperm(nbregions);
           mat_demography(:, 3) = mat_demography(permutation, 3);
       case 4 % proportion of children: regions are permuted
           permutation = randperm(nbregions);
           mat_demography(:, 2) = mat_demography(permutation, 2);
       case 5
           % nothing: climatic cofactors are tested component per
           % component, not globally
       case 6 % humidity (weekly variations): weeks are permuted
           permutation = randperm(nbweeks);
           HW = HW(1,permutation);
       case 7 % humidity (regional variations): regions are permuted
           permutation = randperm(nbregions);
           HR = HR(1,permutation);
       case 8 % humidity (yearly variations): years are permuted
           permutation = randperm(nbyears);
           HY = HY(permutation,:);
       case 9 % humidity (residual variations): years and regions are permuted independanty
           permutation1 = randperm(nbregions);
           permutation2 = randperm(nbyears);
           Hres = Hres(permutation1,:, permutation2);
       case 10
           % nothing: climatic cofactors are tested component per
           % component, not globally
       case 11 % temperature (weekly variations): weeks are permuted
           permutation = randperm(nbweeks);
           TW = TW(1,permutation);
       case 12 % temperature (regional variations): regions are permuted
           permutation = randperm(nbregions);
           TR = TR(1,permutation);
       case 13 % temperature (yearly variations): years are permuted
           permutation = randperm(nbyears);
           TY = TY(permutation,:);
       case 14 % temperature (residual variations): years and regions are permuted independanty
           permutation1 = randperm(nbregions);
           permutation2 = randperm(nbyears);
           Tres = Tres(permutation1,:, permutation2);
   end   
end




